/*  Inbound filter for auto-PGP decryption 
	MR/2 ICE - depgp.cmd

	Copyright (c) 2000, Michael W. Cocke
	All Rights Reserved.

Usage:  Set up a free form inbound filter for email to search for
-----BEGIN PGP MESSAGE-----
if found, call rexx depgp.cmd

*/

/* Signal on Syntax */
/* Signal on Halt */
/* Signal on Novalue*/

if RxFuncQuery('SysLoadFuncs') then
   do
	  call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
	  call SysLoadFuncs
   end

'@echo off'               /* turn off display of OS/2 commands */

CMDLineArgs = translate(arg(1)) 	   /* Snag everything from the command line */
In_filename = CmdLineArgs

say IN_Filename

 /* C scale */
 note.1 = 262    /* middle C */
 note.2 = 294    /*    D     */
 note.3 = 330    /*    E     */
 note.4 = 349    /*    F     */
 note.5 = 392    /*    G     */
 note.6 = 440    /*    A     */
 note.7 = 494    /*    B     */
 note.8 = 524    /*    C     */
 
 do i=1 to 8
   call beep note.i,200    /* hold each note for */
 end
   

/* Decrypt  (test.o is input file, test.x is output file] */
'if exist test.x del test.x'

'pgp v 'In_Filename' -o .\test.x'
'copy .\test.x 'In_Filename

exit

Syntax:
   Say 'A SYNTAX condition was raised on line' sigl'!'
   Say '  The error number is' rc', which means "'Errortext(rc)'"'
   problem_line = sigl
   Signal Abnormal_End

Halt:
   Say 'A Halt condition was raised on line' sigl'!'
   problem_line = sigl
   Signal Abnormal_End

Novalue:
   Say 'Novalue Condition raised on line' sigl'!'
   Say '  The variable which caused it is' Condition('Description')
   problem_line = sigl
   Signal Abnormal_End

Abnormal_End:
   call beep 500,1000
   Say '  Abnormal termination, no encryption performed, message may have been'
   say '  sent in clear, or it may have been lost.'
   say 'press a key to continue'
   pull dummy

Exit

