/*  Outbound filter for auto-PGP encryption 1.1
	MR/2 ICE - enpgp.cmd

	Copyright (c) 2002, Michael W. Cocke
	All Rights Reserved.

Usage:  Set up a free form outbound filter for email to search for PGP/DSS.
if found, call rexx enpgp.cmd

So, any message that you wish to send encrypted, just put PGP/DSS _on its own line_
at the start of the message body, followed by the public key id to encrypt with.
ex:
PGP/DSS cocke@catherders.com

*/

Signal on Syntax
Signal on Halt
Signal on Novalue

if RxFuncQuery('SysLoadFuncs') then
   do
	  call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
	  call SysLoadFuncs
   end

'@echo off'               /* turn off display of OS/2 commands */
CMDLineArgs = translate(arg(1)) 	   /* Snag everything from the command line */
In_filename = CmdLineArgs

'if exist encode.hdr del encode.hdr'
'if exist encode.bdy del encode.bdy'

call SysFileSearch 'PGP/DSS', In_Filename, 'encode.','CN'
if rc <> 0 then signal abnormal_end

if encode.0 = 0 then exit
say 'line ' encode.1 'is the command to encode'
w=space(encode.1,1)
parse var w linenum encmnd pubkeyid
say '*' linenum '*' encmnd '*' pubkeyid

do cycle = 1 to linenum
   datline = linein(In_Filename)
   result = lineout('encode.hdr',datline)
end /* do */

say 'outgoing header is stored in: encode.hdr'

/* command to Encrypt  (test.i is input file, test.o is output file] with PGP 5.0 
    change 'cocke' to user ID to encrypt with 
*/

'pgp e -a -r 'pubkeyid' 'In_filename ' -o encode.bdy'
say rc
result = stream('encode.hdr'   ,'c','close')
result = stream('encode.bdy'   ,'c','close')
result = stream(In_Filename   ,'c','close')

if rc <> 0 then signal abnormal_end
'copy encode.hdr+encode.bdy 'In_filename
if rc <> 0 then signal abnormal_end
'if exist encode.bdy del encode.bdy'
'if exist encode.hdr del encode.hdr'


exit

Syntax:
   Say 'A SYNTAX condition was raised on line' sigl'!'
   Say '  The error number is' rc', which means "'Errortext(rc)'"'
   problem_line = sigl
   Signal Abnormal_End

Halt:
   Say 'A Halt condition was raised on line' sigl'!'
   problem_line = sigl
   Signal Abnormal_End

Novalue:
   Say 'Novalue Condition raised on line' sigl'!'
   Say '  The variable which caused it is' Condition('Description')
   problem_line = sigl
   Signal Abnormal_End

Abnormal_End:
   call beep 500,1000
   Say '  Abnormal termination, no encryption performed, message may have been'
   say '  sent in clear, or it may have been lost.'
   say 'press a key to continue'
   pull dummy

Exit

